<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <InstanceOfName>FB_CommunicationLogger</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input" />
  <Section Name="Output" />
  <Section Name="InOut">
    <Member Name="fbInOutSendFIFO" Datatype="&quot;LGF_FIFO&quot;" />
    <Member Name="arFifoSendBuffer" Datatype="Array[1..100] of &quot;UDT_TelegramData_Send&quot;" />
  </Section>
  <Section Name="Static">
    <Member Name="fbTeleHandler" Datatype="&quot;FB_TCP_LCOM_TeleHandler&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xReset" Datatype="Bool" />
    <Member Name="xSendTele" Datatype="Bool" />
    <Member Name="stTelegramToSend" Datatype="&quot;UDT_TelegramData_Send&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="nState" Datatype="Int" />
    <Member Name="xRetVal" Datatype="Bool" />
    <Member Name="stNewTelegram" Datatype="&quot;UDT_TelegramData&quot;" />
    <Member Name="stTeleGOHDRespM" Datatype="&quot;UDT_Telegram_GOHDRespM&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="arPayloadHelp" Datatype="Array[0..200] of Byte" />
    <Member Name="cnt" Datatype="UInt" />
    <Member Name="LStream_JsonDeserializer_Instance" Datatype="&quot;LStream_JsonDeserializer&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="typeElement" Datatype="Array[0..10] of &quot;LStream_typeElement&quot;" />
    <Member Name="xDone" Datatype="Bool" />
    <Member Name="rTrigConnectionActive" Datatype="R_TRIG" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xSendHeartbeat" Datatype="Bool" />
    <Member Name="tOnHeartbeat" Datatype="TON_TIME" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>FB_CommunicationLogger_DB</Name>
      <Namespace />
      <Number>94</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>